# Subroutine descr
Keywords: userhtml

Next: Adding new smoother and Up: User Interface Previous: Subroutine free Contents

##
Subroutine descr

`call p%descr(info, [iout])`

This routine prints a description of the preconditioner `p` to the standard output or to a file. It must be called after `hierachy_build` and `smoothers_build`, or `build`, have been called.

Arguments

`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 8 for details.
`iout` | `integer, intent(in), optional`.
| The id of the file where the preconditioner description will be printed; the default is the standard output.

For compatibility with the previous versions of MLD2P4, this routine can be also invoked as follows:

`call mld_precdescr(p,info [,iout])`

Next: Adding new smoother and Up: User Interface Previous: Subroutine free Contents